#!/usr/bin/env python
#Leeres_Fenster_Mausereignisse.py

import wx
#----------------------
class Fenster(wx.Frame):
    '''Demo fuer verschiedene Mausereignisse
           [wxEvent]
           /      \\
[wxCommandEvent] [wxMouseEvent]
Es gibt folgende moegliche Maus-Ereignisse:
   EVT_LEFT_DOWN
   EVT_LEFT_UP
   EVT_LEFT_DCLICK 
   EVT_MIDDLE_DOWN
   EVT_MIDDLE_UP
   EVT_MIDDLE_DCLICK
   EVT_RIGHT_DOWN 
   EVT_RIGHT_UP 
   EVT_RIGHT_DCLICK 
   EVT_MOTION 
   EVT_ENTER_WINDOW 
   EVT_LEAVE_WINDOW
   EVT_MOUSEWHEEL
   EVT_MOUSE_EVENTS 
'''
    def __init__(self):
        wx.Frame.__init__(self,None, -1, "Fenster")
        self.Bind(wx.EVT_LEFT_DOWN, self.OnLeftDown)
        self.Bind(wx.EVT_LEFT_UP, self.OnLeftUp)
        self.Bind(wx.EVT_LEFT_DCLICK, self.OnLeftDoubleClick)
        self.Bind(wx.EVT_RIGHT_DOWN, self.OnRightDown)
        self.Bind(wx.EVT_RIGHT_UP, self.OnRightUp)
        self.Bind(wx.EVT_MOTION, self.OnMotion)
        self.Bind(wx.EVT_MOUSEWHEEL, self.OnMausRad)
        # und
        self.Bind(wx.EVT_ENTER_WINDOW, self.OnEnter)
        self.Bind(wx.EVT_LEAVE_WINDOW, self.OnLeave)
        

    def OnLeftDown(self, event):
        print( 'angeklickt:', event.GetX(),event.GetY() )
        
    def OnLeftUp(self, event):
        print( 'losgelassen:', event.GetX(),event.GetY() )

    def OnLeftDoubleClick(self, event):
        print( 'Doppelklick links:', event.GetX(),event.GetY() )
        
    def OnRightDown(self, event):
        print( 'rechts angeklickt:', event.GetX(),event.GetY() )
        
    def OnRightUp(self, event):
        print( 'rechts losgelassen:', event.GetX(),event.GetY() )
        
    def OnMotion(self, event):
        if event.LeftIsDown():
            print( 'gezogen:', event.GetX(),event.GetY() )
        else:
            print( 'bewegt:', event.GetX(),event.GetY() )
            
    def OnEnter(self, event):
        print( 'Fenster betreten:', event.GetX(),event.GetY() )

    def OnLeave(self, event):
        print( 'Fenster verlassen:', event.GetX(),event.GetY() )

    def OnMausRad(self, event):
        print( 'mausrad benutzt',  event.GetX(),event.GetY() )
        rotation = event.GetWheelRotation()
        if rotation > 0:
            print("Mausrad nach oben gedreht")
        else:
            print("Mausrad nach unten gedreht")

#----------------------
if __name__=='__main__':
    app=wx.App()
    fenster=Fenster()
    app.SetTopWindow(fenster)
    fenster.Show(True)
    app.MainLoop()
